<?php

namespace App\Services\Equipment\Link;

use CodeIgniter\HTTP\IncomingRequest;

use App\Entities\Equipment\Link\CpuEntity;
use App\Models\Equipment\Link\CpuModel;
use App\Services\Equipment\Part\CpuService as PartService;

class CpuService extends LinkService
{
    protected ?IncomingRequest $request = null;
    public function __construct(?IncomingRequest $request = null)
    {
        parent::__construct($request);
        $this->addClassName('Cpu');
    }
    public function getModelClass(): CpuModel
    {
        return new CpuModel;
    }
    public function getEntityClass(): CpuEntity
    {
        return new CpuEntity();
    }
    protected function getPartService(): PartService
    {
        return new PartService();
    }
    public function getFields(): array
    {
        return [
            "serverinfo_uid",
            "cpuinfo_uid",
        ];
    }
    public function getFilterFields(): array
    {
        return ["serverinfo_uid", "cpuinfo_uid"];
    }
    public function getBatchJobFields(): array
    {
        return [];
    }
}
